---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    List action groups owned by judges, with stable group IDs… Reference for the
    GET /v1/projects/{projectId}/judges/action-groups endpoint in the Judgeval
    API.
sidebar:
  label: List judge action groups
  badge: GET
title: List judge action groups
type: openapi-operation
---
List action groups owned by judges, with stable group IDs and the selected judge version. Each group runs its actions when the judge result matches its condition, subject to its environments, frequency, and cooldown.

`GET /v1/projects/{projectId}/judges/action-groups`

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "action_groups": [
    {
      "judge_id": "string",
      "judge_name": "string",
      "judge_major_version": 0,
      "judge_minor_version": 0,
      "action_group": {
        "id": "string",
        "name": "string",
        "enabled": true,
        "environment_names": [
          "string"
        ],
        "when": {
          "kind": "any"
        },
        "frequency": {
          "count": 1,
          "window_seconds": 1
        },
        "cooldown_seconds": 0,
        "actions": [
          {
            "id": "string",
            "enabled": true,
            "type": "webhook",
            "config": {
              "url": "string",
              "secret": "string"
            }
          }
        ]
      }
    }
  ]
}
```
